Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Interface ConfigurationContext

All Superinterfaces:
  RuntimeContext

All Known Implementing Classes:
  AbstractConfigurationContext, IncludeConfigurationContext, RootConfigurationContext, TopLevelConfigurationContext

    public interface ConfigurationContext

extends RuntimeContext

Method Summary
`ConfigurationContext` | `createInstance(org.w3c.dom.Element element)`
`ConfigurationContext` | `createInstance(org.w3c.dom.Element element, ComponentDictionary localComponentDictionary)`
`ComponentDictionary` | `getComponentDictionary()`
`java.lang.Object` | `getConfigurationComponent(java.lang.Class propertyType)`
`org.w3c.dom.Document` | `getDocument()`
`org.w3c.dom.Element` | `getElement()`
`java.lang.String` | `getNamespaceUri(org.w3c.dom.Element element)`
`MutableNameTable` | `getNameTable()`
`Record` | `getParameters()`
`ConfigurationContext` | `getParent()`
`QnameContext` | `getQnameContext()`
`ResourceTable` | `getResourceTable()`
`java.lang.Object` | `getServiceComponent(org.w3c.dom.Element element)`
`javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory()`
`void` | `trace(java.lang.String sourceClass, java.lang.String sourceMethod, java.lang.String message, java.util.logging.Level level)`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, getAppName, getUser, notice, printStackTrace, warning`

Method Detail

### getDocument

    org.w3c.dom.Document getDocument()

### getElement

    org.w3c.dom.Element getElement()

### getNamespaceUri

    java.lang.String getNamespaceUri(org.w3c.dom.Element element)

### createInstance

    ConfigurationContext createInstance(org.w3c.dom.Element element,
                                        ComponentDictionary localComponentDictionary)

### createInstance

    ConfigurationContext createInstance(org.w3c.dom.Element element)

### getNameTable

    MutableNameTable getNameTable()

### trace

    void trace(java.lang.String sourceClass,
               java.lang.String sourceMethod,
               java.lang.String message,
               java.util.logging.Level level)

  Specified by:
    `trace` in interface `RuntimeContext`

### getConfigurationComponent

    java.lang.Object getConfigurationComponent(java.lang.Class propertyType)

### getServiceComponent

    java.lang.Object getServiceComponent(org.w3c.dom.Element element)

### getTransformerFactory

    javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory()

### getParent

    ConfigurationContext getParent()

### getQnameContext

    QnameContext getQnameContext()

### getResourceTable

    ResourceTable getResourceTable()

### getComponentDictionary

    ComponentDictionary getComponentDictionary()

### getParameters

    Record getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD